MAN-RECODE(1)

NUME
man-recode - convertește paginile de manual la altă codare

REZUMAT
man-recode -t to-code {--suffix=suffix|--in-place} [-dqhV] [filename]

DESCRIERE
man-recode convertește pagini de manual multiple de la o codare la alta, ghicind codarea de intrare potrivită pentru fiecare din acestea. Este util când se înregistrează permanent pagini scrise în seturi de caractere de moștenire, sau în sisteme de generare care au nevoie să recodeze un set de pagini la o codare comună singură (de obicei UTF-8) pentru instalare. Când se convertesc multe pagini de manual, acest program este mult mai rapid decât rularea man --recode sau manconv pe fiecare pagină.

Dacă o declarație de codare este găsită pe prima linie a unei pagini de manual, atunci acea declarație este utilizată ca și codarea de intrare pentru acea pagină. Eșuând acest lucru, codarea de intrare este ghicită pe baza numelui de fișier.

Declarările de codare au următoarea formă:

    '\" -*- coding: UTF-8 -*-

sau (dacă vor fi, de asemenea, declarate preprocesoarele de pagină de manual):

    '\" t -*- coding: ISO-8859-1 -*-

OPȚIUNI

-t encoding, --to-code=encoding
    Convertește pagini de manual la encoding.

--suffix=suffix
    Formează fiecare nume de fișier de ieșire prin adăugarea suffix la numele de fișier de intrare, după eliminarea oricărei extensii de comprimare.

--in-place
    Suprascrie fiecare fișier de intrare cu ieșirea, după eliminarea oricărei extensii de comprimare.

-q, --quiet
    Nu emite mesaje de eroare când pachetul nu poate fi convertit.

-d, --debug
    Tipărește informațiile de depanare.

-h, --help
    Tipărește un mesaj de ajutor și ieși.

-V, --version
    Afișează informațiile de versiune.

VEDEȚI ȘI
iconv(1), man(1), manconv(1)

DEFECȚIUNI
https://savannah.nongnu.org/bugs/?group=man-db

AUTOR
Colin Watson (cjwatson@debian.org).